# samples/02_video_dec_cuda/videodec.h File Reference

`#include "NvVideoDecoder.h"`
`#include "NvVideoConverter.h"`
`#include "NvEglRenderer.h"`
`#include "EGL/egl.h"`
`#include "EGL/eglext.h"`
`#include <queue>`
`#include <fstream>`
`#include <pthread.h>`
`#include "nvosd.h"`

Go to the source code of this file.

## Classes

struct | context_t

## Defines

#define | MAX_RECT_NUM 100

## Functions

int | parse_csv_args (context_t *ctx, int argc, char *argv[])

## Define Documentation

#define MAX_RECT_NUM 100

Definition at line 39 of file videodec.h.

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 110 of file video_decode_csvparser.cpp.